<?
/*
Autor: Ricardo Dantas Gonalves (stratomen@gmail.com)
Descrio: Classe para o envio de email apartir do conteudo de um arquivo.
Possui 3 mtodos: envia, getArquivo e trata_conteudo.


Exemplo de uso:
-----------------------------------------
require_once('envia_email.class.php');
$enviarEmail  = new envia_email();
$arquivoEmail = $enviarEmail -> getArquivo('../../projeto/email/email_contato.php');
$arquivo 	  = $enviarEmail -> trata_conteudo('[nome],[nome_amigo], indicou', 'AAAAA,BBBBB, CCCC', $arquivoEmail);
$enviarEmail -> envia("alguem@alguem.com", "$nome <$email>", "Assunto", $arquivo);

*/
class envia_email {

	var $destinatario;
	var $parametro_from;
	var $arquivo_de_email;
	var $assunto;
	var	$conteudo_tratado_dividido;
	var	$conteudo_original_dividido;
	var	$conta_conteudo_dividido;
	var $i;
	var $conteudo_tratado;
	var $html;

	########################################
	# 	Mtodo para o envio do email
	########################################
	function envia($destinatario, $parametro_from, $assunto, $conteudo)
	{
		######################################
		# 		Setup do envio do email
		#######################################
		
		# Setup do cabecalho do email
		$headers = "From: $parametros_from \n";
		$headers .= "MIME-Version: 1.0\n";
		$headers .= "Content-Type: multipart/mixed; boundary=\"MIME_BOUNDRY\"\n";
		$headers .= "Content-Type: text/html\n";
		$headers .= "X-Priority: 1\n"; 
		
		# Assunto
		$titulo = "$assunto";

		# Envia e checa se o email foi enviado
		if(mail($destinatario,$titulo,$conteudo,$headers)){
			# Se o email foi enviado ele retornar TRUE
			return true;
		} 
		else{
			# Se o email no foi enviado ele retornar FALSE
			return false;
		}
	}

	########################################
	# 	Mtodo para abrir o arquivo
	########################################		
	function getArquivo($arquivo_de_email)
	{
		#########################################
		# Leitura do arquivo de layout do email #
		#########################################		
		$filename = "$arquivo_de_email"; //indica o endereo do arquivo que contem o layout
		$handle = fopen ($filename, "r"); // abre o arquivo que contem o layout
		$html = fread ($handle, filesize ($filename)); // l o cdigo do arquivo e guarda na varivel $html 
		fclose ($handle); // Fecha o arquivo
		return $html;
	}



	############################################################	
	# 	Mtodo para fazer troca das strings do conteudo
	############################################################	
	function trata_conteudo($conteudo_original, $conteudo_a_ser_tratado, $html)
	{
		# Retira espaos na string
		$conteudo_a_ser_tratado = trim($conteudo_a_ser_tratado);
		$conteudo_original = trim($conteudo_original);

		$conteudo_tratado_dividido = explode(',',$conteudo_a_ser_tratado);
		$conteudo_original_dividido = explode(',',$conteudo_original);
		$conta_conteudo_dividido = count($conteudo_original_dividido);

		for ($i=0; $i < $conta_conteudo_dividido; $i++){

			# Retira espaos das strings de troca
			$conteudo_original_dividido[$i] = trim($conteudo_original_dividido[$i]);
			$conteudo_tratado_dividido[$i]  = trim($conteudo_tratado_dividido[$i]);

			# Substitui as strings
			$html = str_replace("$conteudo_original_dividido[$i]","$conteudo_tratado_dividido[$i]","$html"); 
		}
		return $html;
	}
}
?>